[med-svn] [solvate] 04/05: Add get-orig-source script
Andreas Tille
tille at debian.org
Thu Dec 28 20:17:35 UTC 2017
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to annotated tag upstream/2.0.0b11.r4076
in repository solvate.
commit 87209131c5c8c64c1865d103706bc3a94b5be31e
Author: Andreas Tille <tille at debian.org>
Date: Thu Dec 28 21:12:09 2017 +0100
Add get-orig-source script
---
debian/changelog | 7 +++++++
debian/get-orig-source | 32 ++++++++++++++++++++++++++++++++
debian/rules | 3 +++
3 files changed, 42 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index 32af8fd..2e5301d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+staden-doc (2.0.0b11.r4076-1) UNRELEASED; urgency=medium
+
+ * Team upload.
+ * Initial Upload to Debian
+
+ -- Andreas Tille <tille at debian.org> Thu, 28 Dec 2017 21:00:12 +0100
+
staden-doc (2.0.0b9-0biolinux2) precise; urgency=low
* Make clean target actually clean up
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..645ce1e
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,32 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+# http://www.debian.org/doc/debian-policy/ch-source.html
+# "get-orig-source (optional)"
+# This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+# source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.br]\+\)-[0-9]\+$/\1/'`
+
+## NO tags no branches
+SVNURI="https://svn.code.sf.net/p/staden/code/staden/trunk/doc"
+revision=`LANG=C svn info ${SVNURI} | grep "^Last Changed Rev:" | sed 's/Last Changed Rev: *//'`
+VERSION=`echo ${VERSION}| sed "s/.r[0-9]\+$//"`.r${revision}
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+#set -x
+LC_ALL=C svn export ${SVNURI} ${TARDIR} >/dev/null 2>/dev/null || true
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
index 57d2fc2..e179ecc 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,3 +22,6 @@ override_dh_auto_clean:
override_dh_compress:
dh_compress -Xmanual
+
+get-orig-source:
+ . debian/get-orig-source
\ No newline at end of file
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/solvate.git
More information about the debian-med-commit
mailing list